# Sektör Bazlı Özellikler

## Eczane

Aşağıda katkı payı ve 1 ürün içeren örnek bir satış JSON verilmiştir.

**Matrah dışı tutar (katkı payı gibi) eklemek için** satış objesinde aşağıdaki değişiklikleri yapabilirsiniz:

```json
"documentType": 9008,
"taxFreeAmount": 5000,
"customerInfo": {
    "taxID": "11111111111"
}
```

```json
{
  "basketID": "a123ca24-ca2c-401c-8134-f0de2ec25c25",
  "createInvoice": false,
  "documentType": 9008,
  "isVoid": false,
  "customerInfo": {
    "taxID": "11111111111"
  },
  "items": [
    {
      "name": "İLAÇ",
      "price": 1000,
      "quantity": 1000,
      "sectionNo": 1,
      "taxPercent": 1000
    }
  ],
  "taxFreeAmount": 5000
}
```

### Veresiye/Açık Hesap Satış ve Cari Tahsilat

Veresiye satış yapmak için **paymentType 17** olan bir sepet gönderebilirsiniz.

{% code fullWidth="false" %}

```json
{
  "basketID": "93ced0be-99f5-4e42-b0ca-bc781c778d69",
  "createInvoice": false,
  "documentType": 0,
  "isVoid": false,
  "items": [
    {
      "name": "Su",
      "pluNo": 0,
      "price": 500,
      "sectionNo": 1,
      "quantity": 1000
    }
  ],
  "paymentItems": [
    {
      "amount": 500,
      "type": 17
    }
  ]
}
```

{% endcode %}

Tahsilatı sonradan tamamlamak için "Cari Tahsilat"a uygun şekilde aşağıdaki sepeti gönderebilirsiniz.

```json
{
  "basketID": "35bc5937-f8ef-4c21-8e44-b59d02c25a79",
  "createInvoice": false,
  "documentType": 9002,
  "isVoid": false,
  "customerInfo": {
    "name": "AD SOYAD",
    "taxID": "11111111111"
  },
  "infoReceiptInfo": {
    "documentDate": "29-10-2024",
    "documentNo": "ABC123"
  },
  "taxFreeAmount": 10000
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tokeninc.com/token-developer-portal-1/x-platform/token-x-connect-wire/sektor-bazli-ozellikler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
